package com.empresa.intranet.modelo.pedidos;

import com.empresa.intranet.modelo.util.GenericDao;
import java.util.List;
import javax.management.InstanceNotFoundException;


public interface PedidoDao extends GenericDao<Pedido, Long>{
    public List<Pedido> listaPedidos(int startIndex, int count);
    public int numeroPedidos();
    public int numeroPedidos(Long idTienda);
    public List<Pedido> listaPedidos(int startIndex, int count,Long idTienda) throws InstanceNotFoundException;
    public void eliminaLineasPedido(Long idPedido);
    
}
