package com.empresa.intranet.modelo.perfilusuario;

import com.empresa.intranet.modelo.util.GenericDao;
import java.util.List;
import javax.management.InstanceNotFoundException;

public interface PerfilUsuarioDao extends GenericDao<PerfilUsuario, Long>{
    public PerfilUsuario findByLoginName(String loginName) throws InstanceNotFoundException;
    public int numeroPerfiles();
    public List<PerfilUsuario> listaPerfiles(int startIndex, int count);
}
