/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.empresa.intranet.modelo.serviciousuario.util;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.security.NoSuchProviderException;
import sun.misc.BASE64Encoder;

/**
 *
 * @author ibecerra
 */
public class PasswordHasher {   
    private static String algorithm;   
    private static String provider;
    private static String salt;

    public PasswordHasher() {
    }

    public static String getAlgorithm() {
        return algorithm;
    }

    public static void setAlgorithm(String algorithm) {
        PasswordHasher.algorithm = algorithm;
    }

    public static String getProvider() {
        return provider;
    }

    public static void setProvider(String provider) {
        PasswordHasher.provider = provider;
    }

    public static String getSalt() {
        return salt;
    }

    public static void setSalt(String salt) {
        PasswordHasher.salt = salt;
    }
    
    public static String hash(String clearPassword) {
        try {
            MessageDigest md = MessageDigest.getInstance(algorithm, provider);
            md.update((clearPassword + salt).getBytes());
            BASE64Encoder encoder = new BASE64Encoder();
            String encoded = encoder.encode(md.digest());
            return encoded;
        } catch (NoSuchProviderException ex) {
            throw new RuntimeException(ex);
        } catch (NoSuchAlgorithmException ex) {
            throw new RuntimeException(ex);
        }
    }
    
    public static boolean match(String clearPassword, String encPassword) {
        return hash(clearPassword).equals(encPassword);
    }   
}
