package com.empresa.intranet.modelo.incidencias;

import com.empresa.intranet.modelo.tiendas.Tienda;
import com.empresa.intranet.modelo.util.GenericDao;
import java.util.Date;
import java.util.List;
import javax.management.InstanceNotFoundException;

public interface IncidenciaDao extends GenericDao<Incidencia, Long>{
    public List<Incidencia> buscarporTienda(Tienda tienda) throws InstanceNotFoundException;
    public List<Incidencia> buscarporFecha(Date fecha) throws InstanceNotFoundException;
    public List<Incidencia> buscarporDescripcion(String descripcion) throws InstanceNotFoundException;
    public int numeroIncidencias();
    public int numeroIncidencias(Long idTienda);
    public List<Incidencia> listaIncidencias(int startIndex, int count);
    public List<Incidencia> listaIncidencias(int startIndex, int count, Long idTienda) throws InstanceNotFoundException;
    
}
