package com.empresa.intranet.modelo.origenes;

import com.empresa.intranet.modelo.util.GenericDaoHibernate;
import java.util.List;
import org.springframework.stereotype.Repository;


@Repository("origenDao")
public class OrigenDaoHibernate extends
		GenericDaoHibernate<Origen, Long> implements OrigenDao {
    @Override
    public int numeroOrigenes() {
        long n = (Long) getSession().createQuery(
        "SELECT COUNT(o) FROM Origen o").
        uniqueResult();	
        return (int) n;
    }

    @Override
    public List<Origen> listaOrigenes(int startIndex, int count) {
        return getSession().createQuery(
	        	"SELECT o FROM Origen o " +
	        	"ORDER BY o.id asc").
	           	setFirstResult(startIndex).
	           	setMaxResults(count).list();
    }    

}