package com.empresa.intranet.modelo.util;

@SuppressWarnings("serial")
public class DuplicatedInstanceException extends Exception {
	
    private String object;
    private String clase;
    
    public DuplicatedInstanceException(String object, String clase) {
        super("Duplicated Instance exception => object = " + object + ", class = " + clase);
        this.object = object;
        this.clase = clase;
    }
    
    public String getLogin() {
        return object;
    }

    public String getClase() {
        return clase;
    }
    
}
